ruby-rugments_1.0.0~beta8-1_all.deb


Advertisement

Description

ruby-rugments - pure-ruby syntax highlighter replacement for pygments

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-rugments
Package version 1.0.0~beta8
Package release 1
Package architecture all
Package type deb
Installed size 630 B
Download size 127.29 KB
Official Mirror archive.ubuntu.com
Rugments is a pure-ruby syntax highlighter.  It can highlight over 60
languages, and output HTML or ANSI 256-color text.  Its HTML output is
compatible with stylesheets designed for pygments.
It aims to a be a simple, easy-to-extend drop-in replacement for pygments.

Alternatives

Package Version Architecture Repository
ruby-rugments_1.0.0~beta8-1_all.deb 1.0.0~beta8 all Ubuntu Universe
ruby-rugments - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-rugments_1.0.0~beta8-1_all.deb
Source Package ruby-rugments

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-rugments deb package:
    # sudo apt-get install ruby-rugments

Files

Path
/usr/bin/rugmentize
/usr/lib/ruby/vendor_ruby/rugments.rb
/usr/lib/ruby/vendor_ruby/rugments/cli.rb
/usr/lib/ruby/vendor_ruby/rugments/formatter.rb
/usr/lib/ruby/vendor_ruby/rugments/lexer.rb
/usr/lib/ruby/vendor_ruby/rugments/regex_lexer.rb
/usr/lib/ruby/vendor_ruby/rugments/template_lexer.rb
/usr/lib/ruby/vendor_ruby/rugments/text_analyzer.rb
/usr/lib/ruby/vendor_ruby/rugments/theme.rb
/usr/lib/ruby/vendor_ruby/rugments/token.rb
/usr/lib/ruby/vendor_ruby/rugments/util.rb
/usr/lib/ruby/vendor_ruby/rugments/version.rb
/usr/lib/ruby/vendor_ruby/rugments/formatters/html.rb
/usr/lib/ruby/vendor_ruby/rugments/formatters/null.rb
/usr/lib/ruby/vendor_ruby/rugments/formatters/terminal256.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/apache.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/apple_script.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/c.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/clojure.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/coffeescript.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/common_lisp.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/conf.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/cpp.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/csharp.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/css.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/dart.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/diff.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/elixir.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/erb.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/erlang.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/factor.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/gherkin.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/go.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/groovy.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/haml.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/handlebars.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/haskell.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/html.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/http.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/ini.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/io.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/java.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/javascript.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/literate_coffeescript.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/literate_haskell.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/llvm.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/lua.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/make.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/markdown.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/matlab.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/moonscript.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/nginx.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/nim.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/objective_c.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/ocaml.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/perl.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/php.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/plain_text.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/prolog.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/properties.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/puppet.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/python.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/qml.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/r.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/racket.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/ruby.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/rust.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/sass.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/scala.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/scheme.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/scss.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/sed.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/shell.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/slim.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/smalltalk.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/sml.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/sql.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/swift.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/tcl.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/tex.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/toml.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/vb.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/viml.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/xml.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/yaml.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/apache/keywords.yml
/usr/lib/ruby/vendor_ruby/rugments/lexers/gherkin/keywords.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/lua/builtins.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/matlab/builtins.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/php/builtins.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/sass/common.rb
/usr/lib/ruby/vendor_ruby/rugments/lexers/viml/keywords.rb
/usr/lib/ruby/vendor_ruby/rugments/plugins/redcarpet.rb
/usr/lib/ruby/vendor_ruby/rugments/themes/base16.rb
/usr/lib/ruby/vendor_ruby/rugments/themes/colorful.rb
/usr/lib/ruby/vendor_ruby/rugments/themes/github.rb
/usr/lib/ruby/vendor_ruby/rugments/themes/monokai.rb
/usr/lib/ruby/vendor_ruby/rugments/themes/monokai_sublime.rb
/usr/lib/ruby/vendor_ruby/rugments/themes/thankful_eyes.rb
/usr/share/doc/ruby-rugments/changelog.Debian.gz
/usr/share/doc/ruby-rugments/copyright
/usr/share/rubygems-integration/all/specifications/rugments-1.0.0.beta8.gemspec

Changelog

2015-07-01 - Pirate Praveen <praveen@debian.org>
ruby-rugments (1.0.0~beta8-1) unstable; urgency=medium
* Initial release (Closes: #790715)

See Also

Package Description
ruby-safe-yaml_1.0.4-1_all.deb safer YAML loader for Ruby
ruby-saml_1.1.2-1ubuntu1_all.deb SAML toolkit for Ruby on Rails
ruby-samuel_0.3.3-1build1_all.deb automatic logger for HTTP requests in Ruby
ruby-sanitize_2.1.0-2_all.deb whitelist-based HTML sanitizer
ruby-sasl_0.0.3.3-2_all.deb SASL client library for Ruby
ruby-sass-rails_5.0.4-1_all.deb Sass adapter for the Rails asset pipeline
ruby-sass_3.4.21-1_all.deb powerful but elegant CSS compiler that makes CSS fun again
ruby-sawyer_0.6.0-2_all.deb HTTP/REST API client Ruby library
ruby-sdl_2.1.3-1build5_i386.deb Ruby/SDL interface for Ruby
ruby-sdoc_0.4.1-1_all.deb RDoc generator to build searchable HTML documentation for Ruby code
ruby-seed-fu_2.3.5-1_all.deb easily manage seed data in an Active Record application
ruby-select2-rails_3.5.9.3-2_all.deb integrate Select2 javascript library with Rails asset pipeline
ruby-selinux_2.4-3build2_i386.deb Ruby bindings to SELinux shared libraries
ruby-semanage_2.3-1build3_i386.deb Ruby bindings to for SELinux policy management
ruby-semantic-puppet_0.1.1-1_all.deb Useful tools for working with semantic versions with Puppet
Advertisement
Advertisement